Skip to main content
PATCH
/
v1
/
customer_portal_protocol
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/customer_portal_protocol \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_portal_protocol": {
    "subscription_cancellations_enabled": false
  }
}
'
import requests

url = "https://{defaultHost}/v1/customer_portal_protocol"

payload = { "customer_portal_protocol": { "subscription_cancellations_enabled": False } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_portal_protocol: {subscription_cancellations_enabled: false}})
};

fetch('https://{defaultHost}/v1/customer_portal_protocol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "883dfe9a-3b6d-4511-bcd6-9fb56f29cc17",
  "object": "customer_portal_protocol",
  "back_url": null,
  "external_enabled": true,
  "external_url": null,
  "login_enabled": true,
  "privacy_url": null,
  "subscription_cancellations_enabled": false,
  "subscription_updates_enabled": true,
  "subscription_quantity_updates_enabled": true,
  "terms_url": null,
  "wordpress_plugin_enabled": true,
  "created_at": 1782485818,
  "updated_at": 1782485818
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customer_portal_protocol
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

back_url
string | null

The back URL that is shown to customers on the customer portal. This can be overridden by a back_url on a CustomerPortalSession.

external_enabled
boolean

Whether or not an external customer portal is being used.

external_url
string | null

If external_enabled=true, where is the external portal hosted? If empty, the store's URL is used.

login_enabled
boolean

Whether or not customer's can login with their email and a verification code on the hosted customer portal. If disabled, the only way to authenticate a customer is with a CustomerPortalSession.

privacy_url
string | null

The privacy policy link that is shown to customers on the customer portal.

subscription_cancellations_enabled
boolean

Whether or not customers can cancel subscriptions from the customer portal.

subscription_updates_enabled
boolean

Whether or not customers can make subscription changes from the customer portal.

subscription_quantity_updates_enabled
boolean

Whether or not customers can change subscription quantities from the customer portal.

terms_url
string | null

The terms of service link that is shown to customers on the customer portal.

wordpress_plugin_enabled
boolean

Whether or not the WordPress plugin is hosting the customer portal.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.